line

Discussion in 'AutoCAD' started by giggio, Mar 14, 2005.

  1. giggio

    giggio Guest

    Hi,
    I'm a problem....
    it would like to change the startpoint to some line...

    I write:

    Set pi = SSett.Item(i)
    lunghezza = pi.Length
    polarPnt = ThisDrawing.Utility.PolarPoint(pi.StartPoint,pi.Angle, 0.28)

    pi.StartPoint(0) = polarPnt(0): pi.StartPoint(1) = polarPnt(1): pi.StartPoint(2) = polarPnt(2)

    pi.Update
    ThisDrawing.Application.Update



    I do not see the change...

    Thanks
     
    giggio, Mar 14, 2005
    #1
  2. giggio

    Oberer Guest

    I'm sure this isn't the "technical" explaination, but i dont' think you can modify each element of the start point property.
    Try this instead:
    pi.StartPoint = polarPnt
     
    Oberer, Mar 14, 2005
    #2
  3. giggio

    giggio Guest

    I try... but it is not possible.
    to the end.... the gate and I recreate it...
    it works...
     
    giggio, Mar 14, 2005
    #3
  4. giggio

    Jackrabbit Guest

    As Oberer said in his first message:

    Code:
    Public Sub ChangeLine()
    Dim aLine As AcadLine
    Dim startPoint(0 To 2) As Double
    Dim endPoint(0 To 2) As Double
    
    '--Define the start point of the line.
    startPoint(0) = 0#
    startPoint(1) = 0#
    startPoint(2) = 0#
    
    '--Define the end point of the line.
    endPoint(0) = 10#
    endPoint(1) = 10#
    endPoint(2) = 0#
    
    '--Create the line.
    Set aLine = ThisDrawing.ModelSpace.AddLine(startPoint, endPoint)
    
    '--Define a new start point.
    startPoint(0) = 0#
    startPoint(1) = 10#
    startPoint(2) = 0#
    
    '--Update the line.
    aLine.startPoint = startPoint
    aLine.Update
    End Sub
    
     
    Jackrabbit, Mar 15, 2005
    #4
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.